# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RenderStateSet Class Reference

A set of RenderState objects managed by a Shader. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::RenderStateSet:

List of all members.

## Public Member Functions
| RenderStateSet ()
virtual const char * | className ()
| Returns the name of the class.
void | setRenderState (RenderState *renderstate)
RenderState * | renderState (ERenderState type)
const RenderState * | renderState (ERenderState type) const
const std::vector< ref < RenderState > > & | renderStates () const
void | eraseRenderState (ERenderState type)
void | eraseAllRenderStates ()
const GLSLProgram * | glslProgram () const
| Returns the GLSLProgram associated to a RenderStateSet (if any).
GLSLProgram * | glslProgram ()
| Returns the GLSLProgram associated to a RenderStateSet (if any).
## Protected Attributes
std::vector< ref< RenderState > > | mRenderStates
GLSLProgram * | mGLSLProgram

## Detailed Description

A set of RenderState objects managed by a Shader.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::RenderStateSet::RenderStateSet | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::RenderStateSet::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

void vl::RenderStateSet::setRenderState | ( | RenderState * | renderstate | ) | `[inline]`

RenderState* vl::RenderStateSet::renderState | ( | ERenderState | type | ) | `[inline]`

const RenderState* vl::RenderStateSet::renderState | ( | ERenderState | type | ) | const`[inline]`

const std::vector< ref<RenderState> >& vl::RenderStateSet::renderStates | ( |  | ) | const`[inline]`

void vl::RenderStateSet::eraseRenderState | ( | ERenderState | type | ) | `[inline]`

void vl::RenderStateSet::eraseAllRenderStates | ( |  | ) | `[inline]`

const GLSLProgram* vl::RenderStateSet::glslProgram | ( |  | ) | const`[inline]`

Returns the GLSLProgram associated to a RenderStateSet (if any).

GLSLProgram* vl::RenderStateSet::glslProgram | ( |  | ) | `[inline]`

Returns the GLSLProgram associated to a RenderStateSet (if any).

## Member Data Documentation

std::vector< ref<RenderState> > vl::RenderStateSet::mRenderStates`[protected]`

GLSLProgram* vl::RenderStateSet::mGLSLProgram`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:05 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.